org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeSerializerV3d0

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeSerializerV3d0

-     public class GraphSONTypeSerializerV3d0
      extends AbstractGraphSONTypeSerializer

  GraphSON 2.0 `TypeSerializer`.
  Author:
    Kevin Gallardo (https://kgdo.me), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer

      `classMap, idRes, propertyName, typeInfo, valuePropertyName`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class` | `getClassFromObject(Object o)` We force only **one** translation of a Java object to a domain specific object.
    `org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId` | `writeTypePrefix(org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writableTypeId)`
    `org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId` | `writeTypeSuffix(org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writableTypeId)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer

      `canWriteTypeId, forProperty, getPropertyName, getTypeIdResolver, getTypeInclusion, writeTypePrefix, writeTypeSuffix`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer

      `_writeLegacySuffix, typeId, typeId, typeId, writeCustomTypePrefixForArray, writeCustomTypePrefixForObject, writeCustomTypePrefixForScalar, writeCustomTypeSuffixForArray, writeCustomTypeSuffixForObject, writeCustomTypeSuffixForScalar, writeTypePrefixForArray, writeTypePrefixForArray, writeTypePrefixForObject, writeTypePrefixForObject, writeTypePrefixForScalar, writeTypePrefixForScalar, writeTypeSuffixForArray, writeTypeSuffixForObject, writeTypeSuffixForScalar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeTypePrefix

          public org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writeTypePrefix(org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                                                                              org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writableTypeId)
                                                                                       throws IOException

      Specified by:
        `writeTypePrefix` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer`
      Throws:
        `IOException`

    - #### writeTypeSuffix

          public org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writeTypeSuffix(org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                                                                              org.apache.tinkerpop.shaded.jackson.core.type.WritableTypeId writableTypeId)
                                                                                       throws IOException

      Specified by:
        `writeTypeSuffix` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer`
      Throws:
        `IOException`

    - #### getClassFromObject

          protected Class getClassFromObject(Object o)

      Description copied from class: `AbstractGraphSONTypeSerializer`
      We force only **one** translation of a Java object to a domain specific object. i.e. users register typeIDs and serializers/deserializers for the predefined types we have in the spec. Graph, Vertex, Edge, VertexProperty, etc... And **not** their implementations (TinkerGraph, DetachedVertex, TinkerEdge, etc..)
      Specified by:
        `getClassFromObject` in class `AbstractGraphSONTypeSerializer`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.